[Request] Update OpenEXR due to obsolete version

Issues related to applications and software problems
Mike_Rochefort
Posts: 59
Joined: 2016/03/16 02:34:19

[Request] Update OpenEXR due to obsolete version

Postby Mike_Rochefort » 2018/05/11 20:04:55

Hey team,

I’m not sure if I can request anything over on the RH side as I’m not a subscriber, but I was wondering if you wouldn’t mind passing on a message?

The OpenEXR version currently supplied with CentOS/RHEL is 1.7.x. I’m not sure how many upstream updates have been backported, but for the vast majority of applications that utilize this file format, this package is incredibly outdated. Currently OpenEXR 2.2.1 is latest and the graphics industry has pretty much standardized around 2.x for nearly every major application for a few years now. I know it’s against the methodology of the RH LTS system to upgrade packages like this, but 1.7 is completely obsolete and unused and makes building packages more difficult as we have to rebuild OpenEXR and its uses (OpenColorIO, OpenImageIO, etc) which are pretty complex packages. If it would be at all possible, an update on this front would be immensely appreciated.

I understand the “if we make an exception for one we have to make an exception for all” mentality, but this package is actually useless as is, unless it contains backports from the 2.x branch.

Cheers,
Mike

User avatar
avij
Forum Moderator
Posts: 2448
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: [Request] Update OpenEXR due to obsolete version

Postby avij » 2018/05/11 20:31:05

This would need to be done in RHEL. CentOS can't deviate from the versions that are shipped in RHEL.

I would suggest filing a bug in bugzilla.redhat.com (Red Hat -> Red Hat Enterprise Linux 7 -> OpenEXR) asking for an update, with justifications like you posted above.

Mike_Rochefort
Posts: 59
Joined: 2016/03/16 02:34:19

Re: [Request] Update OpenEXR due to obsolete version

Postby Mike_Rochefort » 2018/05/11 21:46:50

Hi A,

Thanks for the tip. I’ve never filed a bug report/feature request with RH before so I wasn’t sure if that was restricted to subscribers, hence my first paragraph. I’ll make a post over there.

Cheers,
Mike